# Rally Rush: src/spawner.hpp File Reference

Loading...
Searching...
No Matches
spawner.hpp File Reference
`#include "enemy_spawnpoint.hpp"`
`#include "godot_cpp/classes/packed_scene.hpp"`
`#include "godot_cpp/classes/random_number_generator.hpp"`
`#include "godot_cpp/templates/vector.hpp"`
`#include "rally_rush_game_mode.hpp"`
`#include <godot_cpp/classes/node.hpp>`

Go to the source code of this file.

## Classes

class | godot::Spawner
| Singleton managing enemy and key spawning. Spawns a single enemy at an interval, selecting drone or car based on which is required or taking turns if both. Spawns three keys at the start of the game. More...

## Namespaces

namespace | godot